Bug 1302911 - config in blog post is wrong
config in blog post is wrong
Status: CLOSED WONTFIX
Product: Gluster-Documentation
Classification: Community
Component: Other (Show other bugs)
unspecified
All All
medium Severity medium
: ---
: ---
Assigned To: Soumya Koduri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 18:49 EST by Ben Werthmann
Modified: 2016-08-30 09:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-30 09:43:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Werthmann 2016-01-28 18:49:17 EST
Description of problem:
Please see:
http://blog.gluster.org/2014/09/glusterfs-and-nfs-ganesha-integration/

Starting nfs-ganesha V2.3.0 with the config:

    Protocols = "3,4" ;	 # NFS protocols supported

results in the service failing to start and this error being logged.

    nfs-ganesha-13725[main] config_errs_to_log :CONFIG :WARN :Config File (/etc/ganesha/default.conf:16): Unknown token (3,4)
Comment 1 Soumya Koduri 2016-08-15 11:30:20 EDT
I updated the doc. Please check the same.
Comment 2 Ben Werthmann 2016-08-29 10:30:03 EDT
Which doc did you update? I don't see any changes to this blog entry:
http://blog.gluster.org/2014/09/glusterfs-and-nfs-ganesha-integration/

This fails to start:
Protocols = "3,4" ;

This works:
Protocols = 3,4;
Comment 3 Kaushal 2016-08-30 03:34:23 EDT
Ben, blog.gluster.org syndicates posts from developers personal blogs. It doesn't syndicate changes done to a post on the original blog.

Soumya has modified the post on her blog [1]. You can view the change there.

[1] https://glusterants.wordpress.com/2014/09/03/glusterfs-and-nfs-ganesha-integration/
Comment 4 Ben Werthmann 2016-08-30 09:43:23 EDT
Interesting. IMHO having a buggy sample config on the seemingly official blog seems like a bug. Glad it's fixed at the source.

Note You need to log in before you can comment on or make changes to this bug.